package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/28 10:46
 * @Description:
 **/
public class DicUserType {

    public  static final String PERSONAL="个人";
    public  static final String COMPANY="企业";
    private static DicUserType instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicUserType(){
        dicMap=new LinkedHashMap<String, String>();
        dicMap.put(PERSONAL,PERSONAL);
        dicMap.put(COMPANY,COMPANY);
    }
    public static DicUserType getInstance(){
        if(instance==null){
            instance=new DicUserType();
        }
        return instance;
    }

    public  LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>) dicMap.clone();
    }
}
